import grok
from waeup.sirp.interfaces import ISIRPObject
from zope.annotation.attribute import AttributeAnnotations
from zope.annotation.interfaces import IAnnotations

class SIRPAttributeAnnotations(AttributeAnnotations, grok.Adapter):
    """An adapter to IAnnotations for any SIRPObject.

    Providing this adapter, each SIRP object becomes (attribute)
    annotatable.
    """
    grok.provides(IAnnotations)
    grok.context(ISIRPObject)
